.classpath
.settings
.idea
*.iml
attachments
bin
# Exclude all build directories at any level
# except lib/build present in top level
build
!/lib/build
docs
log
src-gen
src-loc
srcAD
srcClient
temp
WebContent
.ant-targets-build.xml

config/*Openbravo.properties
config/quartz.properties
config/Format.xml
config/log4j.lcf
config/userconfig.xml
config/setup*
config/checksums
config/instance.revision
config/eclipse/hibernate.cfg.xml
src/result.xml
config/log4j2.xml
config/log4j2-web.xml

src-test/src/log4j2-test.xml
src-db/database/formalChangesScript.xml
src-core/lib/openbravo-core.jar
src-wad/lib/openbravo-wad.jar
src-trl/lib/openbravo-trl.jar
lib/runtime/openbravo-core.jar
lib/runtime/openbravo-wad.jar
lib/runtime/openbravo-trl.jar
lib/*.war

*.bak
*.swp

Thumbs.db

sources
scripts
node_modules
node_modules_global
test-reports
.nycrc
.eslintrc.json.copy

# ignore all modules 
# except those ones included in OB3 distribution
/modules/*
!/modules/org.openbravo.advpaymentmngt
!/modules/org.openbravo.apachejdbcconnectionpool
!/modules/org.openbravo.base.weld
!/modules/org.openbravo.client.application
!/modules/org.openbravo.client.htmlwidget
!/modules/org.openbravo.client.kernel
!/modules/org.openbravo.client.myob
!/modules/org.openbravo.client.querylist
!/modules/org.openbravo.client.widgets
!/modules/org.openbravo.financial.paymentreport
!/modules/org.openbravo.reports.ordersawaitingdelivery
!/modules/org.openbravo.service.datasource
!/modules/org.openbravo.service.integration.google
!/modules/org.openbravo.service.integration.openid
!/modules/org.openbravo.service.json
!/modules/org.openbravo.userinterface.selector
!/modules/org.openbravo.userinterface.skin.250to300Comp
!/modules/org.openbravo.userinterface.smartclient
!/modules/org.openbravo.utility.cleanup.log
!/modules/org.openbravo.v3
!/modules/org.openbravo.v3.datasets
!/modules/org.openbravo.v3.framework

